Subject: Improve Property Mapper Exception message

Description

The current exception message could be improved in order to make bug tracking more simple. The message should read

Exception while property mapping for target type "TYPO3\Media\Domain\Model\image", at property path "submittedFile": The
target type was no string, but of type "NULL"

while it now reads only

Exception while property mapping at property path "submittedFile": The target type was no string, but of type "NULL"

The hint about the target type will make it simpler to know where to search.

Associated revisions

Revision fb0Oc15a2 - 2012-05-08 13:56 - Adrian Foder

[FEATURE] Improve Property Mapping Exception message

The exception message for when a Mapping fails now

contains a hint about the concerning target type.
Change-Id: 17188ec5cdbf5103144a853e7fe8028b65cf7a29b

Resolves: #36949
Releases: 1.1

History

#1 - 2012-05-08 13:56 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11075

#2 - 2012-05-09 02:39 - Adrian Féder
- Status changed from Under Review to Resolved
http://review.typo3.org/11075

- % Done changed from 0 to 100

Applied in changeset commit:fb0c15a2d8b2f9caab5e7758be5{26¢308287212.
